package Gsim2;

import java.awt.Graphics;

import java.util.*;
import java.awt.*;
// import java.util.*;
// import javax.swing.*;


public class PrimitivZeichner
{
  private Collection elements = new ArrayList();
  
  private interface Primitiv
  {
    void paint( Graphics g );
  }
  
  private class Line implements Primitiv
  {
    private int x1, y1, x2, y2;
    private Color farbe;
	
    public Line( Color farbe, int x1, int y1, int x2, int y2 )
    {
      this.farbe = farbe;
      this.x1 = x1;  this.y1 = y1;
      this.x2 = x2;  this.y2 = y2;
    }
    
    public void paint( Graphics g )
    {
	  g.setColor( farbe );
      g.drawLine( x1, y1, x2, y2 );
    }
  }
  
  public void line( Color farbe, int x1, int y1, int x2, int y2 )
  {
    elements.add( new Line(farbe, x1, y1, x2, y2) );
  }
  
  public void paint( Graphics g )
  {
    for ( Iterator iter = elements.iterator(); iter.hasNext(); )
      ((Primitiv)iter.next()).paint( g );
  }
}
