package Gsim2;
import java.util.Random;
import java.awt.*;


class Zufall
{	
	static Random r;
	static int MAX;
	static int rtl[];  // test 2. shift left
	static int rtli;
	static int rtr[];  // test 2. shift left
	static int rtri;
	
	final  int MAXrtl = 3;
	final  int MAXrtr = 3;
	
	
	Zufall() {
	r = new Random();
	rtl = new int[10]; 
	rtr = new int[10]; 
	
	// MAX = 1000;			// default
	}
	
	Zufall(int max) { 
	r = new Random();
	MAX = max;
	}
	
int getRnd1() {
	int ri;
	ri = r.nextInt(MAX);
//	System.out.println("ri=" + ri);
	return ri;  //.nextInt(MAX);
	}


void setRnd1() {
	int i;
	for (i=0;i<=MAXrtl;i++){
		rtl[i]=r.nextInt(MAX);
	    rtr[i]=r.nextInt(MAX);
		}
	/*
	rtl[0]=0x4321;
	rtl[1]=0x7675;
	rtl[2]=0x1233;
	*/
	rtli=0;
    }

int getRnd2() {
	int rn,i;
	if ( rtli > MAXrtl) {
		rtli = 0;
		// shift left 
		for (i=0;i<=MAXrtl;i++) {
		//	System.out.println ("for i=" + i);
		//	System.out.println (Integer.toHexString(rtl[i]) + " i " + i );
		    rtl[i] = rtl[i] << 1;
		//	System.out.println (Integer.toHexString(rtl[i]) );
		}
		for (i=0;i<MAXrtl;i++) {
			if ( (rtl[i] & 0x8000) == 0x8000 ) { 
			      rtl[i] = rtl[i] & 0x00007fff;	
				  rtl[i+1] = rtl[i+1] | 0x0001;
		//		  System.out.println (Integer.toHexString(rtl[i]) );
				}
		}
	    rtl[i] = rtl[i] & 0x00007fff;   // reset msb 
		rn = r.nextInt(2)%2;            // fill lowerst bit0 mit '0 or 1'
		rtl[0] = rtl[0] | rn;           // fill lowerst bit0 mit '0 or 1'
		}
	rn = rtl[rtli];     // & 0x1fff;  // 14 Bit; 
	rtli++;	
	return rn;
	}



int getRnd() {   // left and right and xor
	int rn,i;
	if ( rtli > MAXrtl) {
		rtli = 0;
		// shift left 
		for (i=0;i<=MAXrtl;i++) {
		//	System.out.println ("for i=" + i);
		//	System.out.println (Integer.toHexString(rtl[i]) + " i " + i );
		    rtl[i] = rtl[i] << 1;
		//	System.out.println (Integer.toHexString(rtl[i]) );
		}
		for (i=0;i<MAXrtl;i++) {
			if ( (rtl[i] & 0x8000) == 0x8000 ) { 
			      rtl[i] = rtl[i] & 0x00007fff;	
				  rtl[i+1] = rtl[i+1] | 0x0001;
		//		  System.out.println (Integer.toHexString(rtl[i]) );
				}
		    }
	    rtl[i] = rtl[i] & 0x00007fff;   // reset msb 
		rn = r.nextInt(2)%2;            // fill lowerst bit0 mit '0 or 1'
		rtl[0] = rtl[0] | rn;      		// fill lowerst bit0 mit '0 or 1'
				
		//	 shift right 
		for (i=0;i<MAXrtr;i++) {
			if ((rtr[i+1] & 0x0001) == 0x0001 ) { 
				rtr[i] = rtr[i] >>> 1;
				rtr[i] = rtr[i] | 0x4000;
				}
			else
				rtr[i] = rtr[i] >>> 1;
		}
		rtr[i] = rtr[i] >>> 1;
		if ((r.nextInt(2)%2) == 1) 
			rtr[MAXrtr] = rtr[MAXrtr] | 0x4000;   // fill MSB bit0 mit '0 or 1'
	   
	}
	
	/*
	for (i=1;i<3;i++) {
	System.out.print(Integer.toHexString(rtl[i]) + " ");
	}
	System.out.println(Integer.toHexString(rtl[3]));
	
	for (i=1;i<3;i++) {
		System.out.print(Integer.toHexString(rtr[i]) + " ");
		}
		System.out.println(Integer.toHexString(rtr[3]));
	
	for (i=1;i<3;i++) {
		System.out.print(Integer.toHexString(rtl[i]^rtr[i]) + " ");
		}
		System.out.println(Integer.toHexString(rtl[3]^rtr[3]));
	*/	
	
//  if (rtli == 0) outbintab(rtli);
//		System.out.println(Integer.toHexString(rn));
//	rn = rtl[rtli]; // & 0x07fff; // & 0x3fff // 14 Bit; 
	rn = (rtl[rtli]^rtr[rtli]); // & 0x007fff; // & 0x3fff // 14 Bit; 

	rtli++;	
	return rn;
	}

	void outbintab(int rtli) {
		int i;
		System.out.println("");
		// System.out.println(rtli);
		for (i=0;i<4;i++) {
			outbin(rtr[i]);
			System.out.print(" ");
		}
	}

	void outbin(int r) {
		int i;
		int mask;
		mask = 0x8000;
		for (i=15;i>=0;i--) {
			// System.out.println(Integer.toHexString(r));
			if((mask & r) == mask)
				System.out.print('1');
			else
				System.out.print('0');
		mask = mask >> 1;
		}
	}

}

class Poti 
{
  Zufall r; 
  int value;
  
  Poti(int value) {
	r = new Zufall();
	this.value = value;
	}
  
  int getDig() {
	int tmpval; 
	boolean pol = true; // true = + , false = -
	if ( value < 0 ) {
		tmpval = -value;
	    pol    = false;
		}
	else
		tmpval = value;
	
	if ( r.getRnd() <= tmpval)
		if (pol) 
			return 1; 
		else
			return -1;
	else
		return 0;
	}
  
   int getValue() {
	   return value;
   }
}

class Integ
{
  Zufall r;
  int value;
  
  Integ(int value) {
	r = new Zufall();
	this.value = value;	
  	}
  
  int getDig(int add, int sub ) {
	  int tmpval; 
	  boolean pol = true; // true = + , false = -
	  
	  value = value + add - sub;
      if ( value < 0 ) {
			tmpval = -value;
		    pol    = false;
			}
	  else
		  tmpval = value;
	 
	  if ( r.getRnd() <= tmpval) 
			if (pol) 
				return  1; 
			else
				return -1;
		else
			return 0;
	}

  int getValue() {
	 return value; 
  }
}




public class Sim2
{	//getHeight(), w.getWidth
  public Sim2(PrimitivZeichner z, int wHeight, int wWidth)
  	  {
	  // 
	  // int MAX  = 32768;   // 15 Bit auflsung
	  // int MAX  = 16384;   // 14 Bit auflsung
	  //  int MAX = 8192;        // 13 Bit
	  int MAX = 32768;
	  
	  
	  Zufall r = new Zufall(MAX);
	  int iterationen = 300000; // 300000;// 300000; // 000;			// durchlufe
	  
	  // Frequenz und Dmpfung 
 	  Poti p2 = new Poti(MAX/2);  
	  Poti p3 = new Poti(MAX/2);
	  
	  Integ iw2 = new Integ(MAX);
	  Integ iw3 = new Integ(0);
	  
	  int    i;	 
	  int    ytmp;
	  int    xtmp;
	  int    null0 = wHeight / 2;
	  double  fx = (double) wWidth  / iterationen;
	  double  fy = (double) null0   / (double)  MAX; 
	  
	  // test Rnd left shift
	  r.setRnd1();
	
	  /*
	  int test;
	  for (i=0;i<100;i++) {
	   test = r.getRnd1();
	   System.out.println ("[" + i + "]=" + Integer.toHexString(test) );
	   }
	  */
	  	  
	  
	  int x, y, ix, iy, x1=0, y1=0;
	  int imax=10;
	  for(i=-imax;i<=imax;i++) {
		  ytmp = null0 + ((int) ( fy * (double)((MAX/imax)*i))); 
		  z.line(Color.green,0,ytmp,wWidth,ytmp);
  	  }
	  for(i=0;i<=imax;i++) {
		  xtmp = (int) ( fx * (double)(iterationen/imax)*i); 
		  z.line(Color.green,xtmp,0,xtmp,wHeight);
  	  }
	  z.line(Color.black , 0,null0,wWidth,null0);   // Null-line
	  
	  
	  //  Digitale Serielle Verbindung
	  int dig2=0;
	  int dig3=0;
	  int dig4=0;
	  
	  
	  for(x=0;x<iterationen;x++) {
		
	    // Poti p2 
	    dig4 = p2.getDig();   
		
		// Multiplikation durch UND Verknpfung
		if (dig4 == 0) 
			dig3 = 0;

		//	Integration mit Rckfhrung
		//               (add     ,sub        );
		dig2 = iw2.getDig(0       ,  10 * dig3);
		  
		// Poti p3 
		dig4 = p3.getDig();
		  
		// Multiplikation durch UND Verknpfung
		if (dig4 == 0) 
		    dig2 = 0;
		
		// Integration mit Rckfhrung   
		//               (add     ,sub        );
		dig3 = iw3.getDig(10*dig2 ,dig3       );	
		  
		// Ende eines  Integrations Schritt
	
	    // Grafik-koordinaten Umrechnung  	
		ix = (int) ( (double) x * fx);
		
		iy = null0 - (int)((double) iw2.getValue() * fy);
		z.line(Color.blue , ix, iy, ix,iy);
		
		iy = null0 - (int)((double) iw3.getValue() * fy);
		z.line(Color.red  , ix, iy, ix,iy);
		
	  }
  }
}